import { SdJwtPayload, SDJwtInstance } from '@sd-jwt/core';
import { DisclosureFrame } from '@sd-jwt/types';

interface SdJwtVcPayload extends SdJwtPayload {
    iss: string;
    iat: number;
    nbf?: number;
    exp?: number;
    cnf?: unknown;
    vct: string;
    status?: unknown;
    sub?: string;
}
declare class SDJwtVcInstance extends SDJwtInstance<SdJwtVcPayload> {
    protected type: string;
    protected validateReservedFields(disclosureFrame: DisclosureFrame<SdJwtVcPayload>): void;
}

export { SDJwtVcInstance, type SdJwtVcPayload };
